com.unitech.lib.rpx.types

## Enum DeviceOptionType

- java.lang.Object
- - java.lang.Enum<DeviceOptionType>
  - - com.unitech.lib.rpx.types.DeviceOptionType

- All Implemented Interfaces:
    IEnumType, java.io.Serializable, java.lang.Comparable<DeviceOptionType>

      public enum DeviceOptionType
      extends java.lang.Enum<DeviceOptionType>
      implements IEnumType

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Barcode1D`
    `Barcode2D`
    `BT_BLE`
    `BT_HID`
    `BT_IAP`
    `BT_SPP`
    `Customer`
    `GPS`
    `HW_Revision`
    `LCD`
    `Memory`
    `RFID_HF`
    `RFID_UHF`
    `RTC`
    `Unknown`
    `USB_HID`
    `USB_VCP`
    `WLAN`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCode()` Get the enum code value
    `java.lang.String` | `getType()`
    `java.lang.String` | `toString()` Return the name of the enum
    `static DeviceOptionType` | `valueOf(int code)` Returns the enum constant of this type with the specified code.
    `static DeviceOptionType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static DeviceOptionType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Unknown

          public static final DeviceOptionType Unknown

    - #### Barcode1D

          public static final DeviceOptionType Barcode1D

    - #### Barcode2D

          public static final DeviceOptionType Barcode2D

    - #### RFID_HF

          public static final DeviceOptionType RFID_HF

    - #### RFID_UHF

          public static final DeviceOptionType RFID_UHF

    - #### BT_HID

          public static final DeviceOptionType BT_HID

    - #### BT_SPP

          public static final DeviceOptionType BT_SPP

    - #### BT_BLE

          public static final DeviceOptionType BT_BLE

    - #### BT_IAP

          public static final DeviceOptionType BT_IAP

    - #### USB_HID

          public static final DeviceOptionType USB_HID

    - #### USB_VCP

          public static final DeviceOptionType USB_VCP

    - #### GPS

          public static final DeviceOptionType GPS

    - #### RTC

          public static final DeviceOptionType RTC

    - #### Memory

          public static final DeviceOptionType Memory

    - #### LCD

          public static final DeviceOptionType LCD

    - #### WLAN

          public static final DeviceOptionType WLAN

    - #### Customer

          public static final DeviceOptionType Customer

    - #### HW_Revision

          public static final DeviceOptionType HW_Revision

  - ### Method Detail

    - #### values

          public static DeviceOptionType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DeviceOptionType c : DeviceOptionType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DeviceOptionType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getCode

          public int getCode()

      Description copied from interface: `IEnumType`
      Get the enum code value
      Specified by:
        `getCode` in interface `IEnumType`
      Returns:
        The code value

    - #### getType

          public java.lang.String getType()

    - #### toString

          public java.lang.String toString()

      Description copied from interface: `IEnumType`
      Return the name of the enum
      Specified by:
        `toString` in interface `IEnumType`
      Overrides:
        `toString` in class `java.lang.Enum<DeviceOptionType>`
      Returns:
        The name of the enum

    - #### valueOf

          public static DeviceOptionType valueOf(int code)

      Returns the enum constant of this type with the specified code.
      Parameters:
        `code` - The code to check
      Returns:
        The enum constant with the specified code